#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QWidget>
#include <QGridLayout>
#include "widgetData.h"
#include "widgetMaterial.h"
#include "widgetPlot.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    QGridLayout *mainLayout; 
    widgetData *dataWidget;
    widgetMaterial *matWidget;
    widgetPlot *plotWidget;
};

#endif // MAINWINDOW_H
