PROGRAM REMOVE_DUPLICATE_POINTS
  !------------------------------------------------------------------------
  !---- Removes the duplicate vertices in a 3D tetrahedric medit mesh
  !------------------------------------------------------------------------
  !---- Shared modules
  !------------------------------------------------------------------------
  USE MESH_APPS
  USE ISO_C_BINDING
  !------------------------------------------------------------------------
  IMPLICIT NONE
  !------------------------------------------------------------------------
  !---- Shared variable
  !------------------------------------------------------------------------
  CHARACTER(LEN=1000, KIND=C_CHAR) :: readName

  INTEGER(C_INT)                   :: nArg
  !------------------------------------------------------------------------
  !---- Get arguments
  !------------------------------------------------------------------------
  nArg = COMMAND_ARGUMENT_COUNT()
  IF (nArg /= 1) THEN
     WRITE(6,'(a)') 'You did not provide the right number of arguments'
     WRITE(6,'(a)') 'Please provide a mesh file'
     STOP
  ENDIF
  !
  CALL GETARG(1,readName)
  !------------------------------------------------------------------------
  !---- Remove duplicates
  !------------------------------------------------------------------------
  CALL REMOVE_DUPLICATE_POINTS_SUB(readName)
  !----------------------------------------------------------------------
  WRITE(6,'(a)') "I finished removing duplicate points"
  !------------------------------------------------------------------------
END PROGRAM REMOVE_DUPLICATE_POINTS
