SUBROUTINE TILT
  !------------------------------------------------------------------
  !---- Abort current computation when an error is detected
  !
  !---- IN
  !
  !---- OUT
  !
  !------------------------------------------------------------------
  !---- Shared modules
  !------------------------------------------------------------------
  USE PARALLEL_STRUCTURES
  !------------------------------------------------------------------
  !---- I/O variables
  !------------------------------------------------------------------
  !
  !------------------------------------------------------------------
  !---- Local variables
  !------------------------------------------------------------------
  !
  !------------------------------------------------------------------
  !---- Testing for bad input
  !------------------------------------------------------------------
  !
  !------------------------------------------------------------------
  !---- Abort
  !------------------------------------------------------------------
  IF (idWrite) THEN 
     WRITE(6, '(a)')  ' '
     WRITE(6, '(a)')  'ERROR: COMPUTATION ABORTED'
  ENDIF
  !
  IF (parallelRun) CALL PARALLEL_FINALIZE
  STOP
  !------------------------------------------------------------------
  !---- Testing for errors
  !------------------------------------------------------------------
  !
  !------------------------------------------------------------------
END SUBROUTINE TILT
