PROGRAM GET_MESH_SIZE
  !------------------------------------------------------------------------
  !---- Compute mesh stats and print them
  !------------------------------------------------------------------------
  !---- Shared modules
  !------------------------------------------------------------------------
  USE MESH_APPS
  USE ISO_C_BINDING
  !------------------------------------------------------------------------
  IMPLICIT NONE
  !------------------------------------------------------------------------
  !---- Shared variable
  !------------------------------------------------------------------------
  CHARACTER(LEN=1000, KIND=C_CHAR) :: readname

  INTEGER(C_INT)                   :: nArg
  !----------------------------------------------------------------------
  !---- Get arguments
  !----------------------------------------------------------------------
  nArg = COMMAND_ARGUMENT_COUNT()
  IF (nArg /= 1) THEN
     WRITE(6,'(a)') 'You did not provide the right number of arguments'
     WRITE(6,'(a)') 'Please provide a mesh file'
     STOP
  ENDIF
  !
  CALL GETARG(1,readName)
  !------------------------------------------------------------------------
  !---- Compute mesh stats and print them
  !------------------------------------------------------------------------
  CALL GET_MESH_SIZE_SUB(readName)
  !----------------------------------------------------------------------
  WRITE(6,'(a)') 'I finished computing mesh size'
  !------------------------------------------------------------------------
END PROGRAM GET_MESH_SIZE
