PROGRAM VIEW_DATA
  !------------------------------------------------------------------------
  !---- Program for data visualization
  !------------------------------------------------------------------------
  !---- Shared modules
  !------------------------------------------------------------------------
  USE MESH_APPS
  USE ISO_C_BINDING
  !------------------------------------------------------------------------
  IMPLICIT NONE
  !------------------------------------------------------------------------
  !---- Shared variable
  !------------------------------------------------------------------------
  CHARACTER(LEN=1000, KIND=C_CHAR) :: configFile
  
  INTEGER(C_INT)                   :: nArg
  !----------------------------------------------------------------------
  !---- Get arguments
  !----------------------------------------------------------------------
  nArg = COMMAND_ARGUMENT_COUNT()
  IF (nArg /= 1) THEN
     WRITE(6,'(a)') 'You did not provide the right number of arguments'
     WRITE(6,'(a)') 'Please provide a configuration file'
     STOP
  ENDIF
  !
  CALL GETARG(1,configFile)
  !------------------------------------------------------------------------
  !---- Build visual stuff
  !------------------------------------------------------------------------
  CALL VIEW_DATA_SUB(configFile)
  !----------------------------------------------------------------------
  WRITE(6,'(a)') "I finished view processing"  
  !------------------------------------------------------------------------
END PROGRAM VIEW_DATA
